#### D.6.3.5 arnoldClassify_to_string

Procedure from library `arnoldclassify.lib` (see arnoldclassify_lib).

Usage:
  arnoldClassify_to_string (f); f poly

Assume:
  The basering is local of characteristic 0 and f defines an isolated singularity from Arnol'd's list of corank at most 2.

Compute:
  singularity class with respect to right equivalence and invariants used in the process of classification

Return:
  string: separated by |:
  - name of singularity series as listed by arnoldListAllSeries(),
  - name of singularity class,
  - parameters k,r,s defining the singularity class, -1 if not used,
  - modality, corank, Milnor number, determinacy,
  - Tjurina number, -2 if not computed, -1 if infinite,
  - Milnor code, -1 if not computed,
  - normal form of the singularity series from Arnol'd's list,
  - restrictions on parameters as string in SINGULAR syntax.

Example:

    LIB "arnoldclassify.lib";
    ring r = 0,(x,y),ds;
    int k = random(3,10);
    poly g = x4 + x2*y^(2*k+1)+x*y^(3*k+1)+ y^(4*k +1);
    arnoldClassify_to_string(g);
    ==> (k>=1)&&(k>1||a==0)&&(deg(a)<=(k-2))&&
    ==>         (deg(c)<=(2*k-2))|x4+a(y)*x*y^(3*k+1)+c(y)*x^2*y^(2*k+1)+y^(4*k+1\
       )|1,1,10,9,9|-2|29|60|2|13|-1|-1|W[60]|W[12k]

User manual for Singular version 4.4.1, 2025, generated by texi2html.